#!/bin/sh
#
# weather server script; see weather directory for caching server.
# assumes 3000@141.212.196.177
#

show=0
unlimited=0
debug=0

while read line
do
	line=`echo "$line" | sed 's/
//g'`
case $debug in 1) echo "Debug: show=$show, line=$line" >&3;; esac
	case $show in 1) sh -c "echo '$line' >&3";; esac

	case "$line" in
	*'College of Engineering, University of Michigan'*)
		echo ''
case $debug in 1) echo echo \'\' >&3;; esac
		;;
	*'C) Change scrolling to screen'*)
		case $unlimited in
		0)
			echo c
case $debug in 1) echo echo c >&3;; esac
			unlimited=1
			;;
		*)
			echo 1
case $debug in 1) echo echo 1 >&3;; esac
			;;
		esac
		;;
	*'4) Unlimited'*)
		echo 4
case $debug in 1) echo echo 4 >&3;; esac
		;;
	*'1) Print forecast for selected city'*)
		echo PIT
case $debug in 1) echo echo PIT >&3;; esac
		;;
	*'Weather Conditions at'*)
		sh -c "echo '$line' >&3"
		show=1
		;;
	*'Unidata project, from a data feed broadcast'*)
		echo X
case $debug in 1) echo echo X >&3;; esac
		exit 0
		;;
	esac
done
